<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:49:05 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>StereotypeApplicationWithVSLPackageImpl (org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StereotypeApplicationWithVSLPackageImpl (org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":9,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StereotypeApplicationWithVSLPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLFactoryImpl.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/TagSpecificationRuleImpl.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html" target="_top">Frames</a></li>
<li><a href="StereotypeApplicationWithVSLPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl</div>
<h2 title="Class StereotypeApplicationWithVSLPackageImpl" class="title">Class StereotypeApplicationWithVSLPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl.StereotypeApplicationWithVSLPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">StereotypeApplicationWithVSLPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.StereotypeApplicationWithVSLPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.Literals.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>name, NAME_EDEFAULT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.StereotypeApplicationWithVSLPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></h3>
<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#EXPRESSION_VALUE_RULE">EXPRESSION_VALUE_RULE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#EXPRESSION_VALUE_RULE__EXPRESSION">EXPRESSION_VALUE_RULE__EXPRESSION</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#EXPRESSION_VALUE_RULE_FEATURE_COUNT">EXPRESSION_VALUE_RULE_FEATURE_COUNT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATION_RULE">STEREOTYPE_APPLICATION_RULE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATION_RULE__STEREOTYPE">STEREOTYPE_APPLICATION_RULE__STEREOTYPE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATION_RULE__TAG_SPECIFICATION">STEREOTYPE_APPLICATION_RULE__TAG_SPECIFICATION</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATION_RULE_FEATURE_COUNT">STEREOTYPE_APPLICATION_RULE_FEATURE_COUNT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATIONS_RULE">STEREOTYPE_APPLICATIONS_RULE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATIONS_RULE__STEREOTYPE_APPLICATIONS">STEREOTYPE_APPLICATIONS_RULE__STEREOTYPE_APPLICATIONS</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#STEREOTYPE_APPLICATIONS_RULE_FEATURE_COUNT">STEREOTYPE_APPLICATIONS_RULE_FEATURE_COUNT</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#TAG_SPECIFICATION_RULE">TAG_SPECIFICATION_RULE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#TAG_SPECIFICATION_RULE__PROPERTY">TAG_SPECIFICATION_RULE__PROPERTY</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#TAG_SPECIFICATION_RULE__VALUE">TAG_SPECIFICATION_RULE__VALUE</a>, <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#TAG_SPECIFICATION_RULE_FEATURE_COUNT">TAG_SPECIFICATION_RULE_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getExpressionValueRule_Expression--">getExpressionValueRule_Expression</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getExpressionValueRule--">getExpressionValueRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationRule_Stereotype--">getStereotypeApplicationRule_Stereotype</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationRule_TagSpecification--">getStereotypeApplicationRule_TagSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationRule--">getStereotypeApplicationRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationsRule_StereotypeApplications--">getStereotypeApplicationsRule_StereotypeApplications</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationsRule--">getStereotypeApplicationsRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLFactory.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getStereotypeApplicationWithVSLFactory--">getStereotypeApplicationWithVSLFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getTagSpecificationRule_Property--">getTagSpecificationRule_Property</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getTagSpecificationRule_Value--">getTagSpecificationRule_Value</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#getTagSpecificationRule--">getTagSpecificationRule</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eBasicSetContainer, eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.

 <p>
 This method is used to initialize <a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eINSTANCE"><code>StereotypeApplicationWithVSLPackage.eINSTANCE</code></a> when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package. <!-- begin-user-doc --> <!--
 end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#eNS_URI"><code>StereotypeApplicationWithVSLPackage.eNS_URI</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationsRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationsRule</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStereotypeApplicationsRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationsRule--">getStereotypeApplicationsRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stereotype Applications Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationsRule.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL"><code>StereotypeApplicationsRule</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationsRule_StereotypeApplications--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationsRule_StereotypeApplications</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getStereotypeApplicationsRule_StereotypeApplications()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationsRule_StereotypeApplications--">getStereotypeApplicationsRule_StereotypeApplications</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Stereotype Applications</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationsRule.html#getStereotypeApplications--"><code>StereotypeApplicationsRule.getStereotypeApplications()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationsRule--"><code>StereotypeApplicationWithVSLPackage.getStereotypeApplicationsRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationRule</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStereotypeApplicationRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationRule--">getStereotypeApplicationRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stereotype Application Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationRule.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL"><code>StereotypeApplicationRule</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationRule_Stereotype--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationRule_Stereotype</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getStereotypeApplicationRule_Stereotype()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationRule_Stereotype--">getStereotypeApplicationRule_Stereotype</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Stereotype</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationRule.html#getStereotype--"><code>StereotypeApplicationRule.getStereotype()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationRule--"><code>StereotypeApplicationWithVSLPackage.getStereotypeApplicationRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationRule_TagSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationRule_TagSpecification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getStereotypeApplicationRule_TagSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationRule_TagSpecification--">getStereotypeApplicationRule_TagSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>Tag Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationRule.html#getTagSpecification--"><code>StereotypeApplicationRule.getTagSpecification()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationRule--"><code>StereotypeApplicationWithVSLPackage.getStereotypeApplicationRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTagSpecificationRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTagSpecificationRule</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getTagSpecificationRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getTagSpecificationRule--">getTagSpecificationRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Tag Specification Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/TagSpecificationRule.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL"><code>TagSpecificationRule</code></a></dd>
</dl>
</li>
</ul>
<a name="getTagSpecificationRule_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTagSpecificationRule_Property</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getTagSpecificationRule_Property()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getTagSpecificationRule_Property--">getTagSpecificationRule_Property</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Property</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/TagSpecificationRule.html#getProperty--"><code>TagSpecificationRule.getProperty()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getTagSpecificationRule--"><code>StereotypeApplicationWithVSLPackage.getTagSpecificationRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTagSpecificationRule_Value--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTagSpecificationRule_Value</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getTagSpecificationRule_Value()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getTagSpecificationRule_Value--">getTagSpecificationRule_Value</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference '<em>Value</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/TagSpecificationRule.html#getValue--"><code>TagSpecificationRule.getValue()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getTagSpecificationRule--"><code>StereotypeApplicationWithVSLPackage.getTagSpecificationRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getExpressionValueRule--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpressionValueRule</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getExpressionValueRule()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getExpressionValueRule--">getExpressionValueRule</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Expression Value Rule</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/ExpressionValueRule.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL"><code>ExpressionValueRule</code></a></dd>
</dl>
</li>
</ul>
<a name="getExpressionValueRule_Expression--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExpressionValueRule_Expression</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getExpressionValueRule_Expression()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getExpressionValueRule_Expression--">getExpressionValueRule_Expression</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference '<em>Expression</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/ExpressionValueRule.html#getExpression--"><code>ExpressionValueRule.getExpression()</code></a>, 
<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getExpressionValueRule--"><code>StereotypeApplicationWithVSLPackage.getExpressionValueRule()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStereotypeApplicationWithVSLFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStereotypeApplicationWithVSLFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLFactory.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLFactory</a>&nbsp;getStereotypeApplicationWithVSLFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html#getStereotypeApplicationWithVSLFactory--">getStereotypeApplicationWithVSLFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/StereotypeApplicationWithVSLPackage.html" title="interface in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL">StereotypeApplicationWithVSLPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package. This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model. This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StereotypeApplicationWithVSLPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLFactoryImpl.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/TagSpecificationRuleImpl.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.stereotypeApplicationWithVSL.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/stereotypeApplicationWithVSL/impl/StereotypeApplicationWithVSLPackageImpl.html" target="_top">Frames</a></li>
<li><a href="StereotypeApplicationWithVSLPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
